Bug 1554375 - Unhelpful dialog when PackageKit requires authentication for untrusted package
Summary: Unhelpful dialog when PackageKit requires authentication for untrusted package
Keywords:
Status: NEW
Alias: None
Product: Fedora
Classification: Fedora
Component: plasma-pk-updates
Version: rawhide
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
: 1572845 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2018-03-12 14:17 UTC by Jonathan Wakely
Modified: 2019-05-02 23:14 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 20:29:45 UTC
Type: Bug


Attachments (Terms of Use)
Screenshot of password dialog (44.70 KB, image/png)
2018-03-12 14:17 UTC, Jonathan Wakely
no flags Details

Description Jonathan Wakely 2018-03-12 14:17:02 UTC
Created attachment 1407240 [details]
Screenshot of password dialog

Description of problem:

When packagekit prompts me to install updates and one of them is from an untrusted source (e.g. the Red Hat 'rhpkg' RPM used for RHEL packaging) I get a polkit dialog asking for the root password. The text of that dialog is nearly useless, as it doesn't tell me which package(s) it applies to.

If I've got dozens of updates and click "Install updates" I don't know which one causes the problem, or what the untrusted source is. If i want to investigate (to ensure nothing bad has happened to one of the repos I'm using, for example) I have to cancel the root password prompt, then try to update select packages to find which one has the problem.

Why can't it just tell me the name of the package that needs authentication?

If it's one I know is self-signed (like rhpkg) then I'm happy to give the root password. If it's one that should be trusted (like a kernel update from Fedora) then I obviously don't want to just enter the root password to continue blindly.


Version-Release number of selected component (if applicable):

PackageKit-1.1.6-2.fc26.x86_64
PackageKit-Qt-0.9.5-7.fc26.x86_64


How reproducible:

Always.


Actual results:

See attached screen capture.


Expected results:

Tell me **at least** the name of the package(s) that need authentication, ideally also the source they came from (e.g. the download URL used).

Comment 1 Fedora End Of Life 2018-05-03 07:55:20 UTC
This message is a reminder that Fedora 26 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 26. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '26'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version'
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not
able to fix it before Fedora 26 is end of life. If you would still like
to see this bug fixed and are able to reproduce it against a later version
of Fedora, you are encouraged  change the 'version' to a later Fedora
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's
lifetime, sometimes those efforts are overtaken by events. Often a
more recent Fedora release includes newer upstream software that fixes
bugs or makes them obsolete.

Comment 2 Jonathan Wakely 2018-05-10 19:34:18 UTC
Still present in F27 (see PR 1572845)

Comment 3 Ben Cotton 2018-11-27 15:46:07 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 4 Jonathan Wakely 2018-11-27 16:33:52 UTC
*** Bug 1572845 has been marked as a duplicate of this bug. ***

Comment 5 Jonathan Wakely 2018-11-27 16:34:39 UTC
Should component be plasma-pk-updates instead?

I'm pretty sure this is still present in rawhide, I'll test ASAP.

Comment 6 Ben Cotton 2018-11-30 20:29:45 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Comment 7 Jonathan Wakely 2018-12-05 12:28:37 UTC
Reopened because behaviour is unchanged in F28 (unsurprisingly).

I've uninstalled PackageKit-Qt so that can't be the right package. Component changed to plasma-pk-updates

plasma-pk-updates-0.3.2-1.fc28.x86_64

Comment 8 Ben Cotton 2019-05-02 20:10:18 UTC
This message is a reminder that Fedora 28 is nearing its end of life.
On 2019-May-28 Fedora will stop maintaining and issuing updates for
Fedora 28. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora 'version' of '28'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 28 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.


Note You need to log in before you can comment on or make changes to this bug.